function music(song){
	var obj = new Player();
	obj.song = song;
	obj.setMusic();
	$(".index_audio_play").click(function() {
		obj.playOrPause()
	});
	$('.index_audio_next').click(function() {
		obj.nextMusic()
	});
	$('.index_audio_prev').click(function() {
		obj.preMusic();
	});
	
	document.addEventListener('stop',function(){
		obj.isplay = true;
		obj.playOrPause();
	});
}

//function stop(){
//	
//}

var Icon = '<span class="index_audio_icon"></span>';

var Player = function(){}

Player.prototype.audio = document.getElementById("Audio");
Player.prototype.music_img = $('.index_audio_play img');
Player.prototype.name = $('.index_audio_name');
Player.prototype.playIndex = 0;
Player.prototype.isplay = false;
Player.prototype.song = [];
Player.prototype.first = true;
Player.prototype.music_id = 0;

Player.prototype.setMusic = function(){
	this.audio.src = this.song[this.playIndex].src;
	this.music_img.attr('src',this.song[this.playIndex].img);
	$('.audio_play_img').addClass('audio_play_music');
	var ee = $('.audio_play_img').height();
	$('.audio_play_img').css('height',ee + 10 + 'px')
	this.name.text(this.song[this.playIndex].title);
	this.name.prepend(Icon);
	this.music_id = this.song[this.playIndex].music_id;
	this.loopMusic();
}

Player.prototype.playMusic = function(){
	this.audio.src = this.song[this.playIndex].src;
	this.music_img.attr('src',this.song[this.playIndex].img);
	this.name.text(this.song[this.playIndex].title);
	this.music_id = this.song[this.playIndex].music_id;
	this.first = false;
	this.addViews();
//	this.audio.play();
//	$('.audio_play_img').addClass('audio_play_music');
//	$('.audio_play_icon').css('background-image', 'url(img/stop.png)');
}

Player.prototype.playOrPause = function() {
	if(this.isplay) {
		this.audio.pause();
		$('.audio_play_icon').css('background-image', 'url(img/play.png)');
		$('.audio_play_img').removeClass('audio_play_music')
		$('.index_audio_icon').css('animation','initial')
	} else {
		if(this.first){
			this.first = false;
			this.addViews();
			return;
		}
		this.audio.play();
		$('.audio_play_icon').css('background-image', 'url(img/stop.png)');
		$('.audio_play_img').addClass('audio_play_music');
		$('.index_audio_icon').css('animation','trends 1s steps(9) infinite')
	}
	this.isplay = !this.isplay;
};

Player.prototype.nextMusic = function() {
	if(this.playIndex >= this.song.length - 1) {
		this.playIndex = 0;
	} else {
		this.playIndex = this.playIndex + 1;
	}
	this.playMusic();
};

Player.prototype.preMusic = function() {
	if(this.playIndex <= 0) {
		this.playIndex = this.song.length - 1;
	} else {
		this.playIndex = this.playIndex - 1;
	}
	this.playMusic();
};

Player.prototype.addViews = function() {
	var music_id = this.music_id;
	var that = this;
	sendAjax("album/addMusicView",function(res){
		if(res.code==1){
			that.audio.play();
			$('.audio_play_icon').css('background-image', 'url(img/stop.png)');
			$('.audio_play_img').addClass('audio_play_music');
			$('.index_audio_icon').css('animation','trends 1s steps(9) infinite');
			that.isplay = true;
		}
	},"album_music_id="+music_id,false)
};

//自动循环播放
Player.prototype.loopMusic = function(){
	var that = this;
	this.audio.addEventListener('ended',function(){
		if(that.playIndex >= that.song.length - 1){
			that.playIndex = 0
		}else{
			that.playIndex++
		}
		that.playMusic(that.playIndex);
		$('.index_audio_icon').css('animation','trends 1s steps(9) infinite')
	})
}
