mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var time = self.ee;
	var dateObj = (function() {
		var _date = new Date();
		return {
			getDate: function() {
				return _date
			},
			setDate: function(date) {
				_date = date
			}
		}
	})()
	
	var Calendar = function(ele, options) {
		this.$calendar = ele;
		this.defaults = {
			isSwitch: true,
			backToday: false
		}

		this.opts = $.extend({}, this.defaults, options);
	}

	Calendar.prototype = {
		showCalendar: function() {
			var self = this;
			var year = dateObj.getDate().getFullYear();
			var month = dateObj.getDate().getMonth() + 1;
			var dateStr = returnDateStr(dateObj.getDate());

			var firstDay = new Date(year, month - 1, 1);
			$('.time_year').text(year);
			$('.time_month').text(dateStr.substr(4, 2) + '月');

			$('.time_data span').each(function(i) {

				var allDay = new Date(year, month - 1, i + 1 - firstDay.getDay());
				//每一天
				var allDay_str = returnDateStr(allDay);
				$(this).text(allDay.getDate());

				if(returnDateStr(new Date()) === allDay_str) {
					$(this).attr('class', 'time_data_choice time_data_click');
				} else if(returnDateStr(firstDay).substr(0, 6) === allDay_str.substr(0, 6)) {
					$(this).attr('class', 'time_data_black time_data_click');
				} else {
					$(this).attr('class', 'time_data_gray time_data_click');
				}

				var beforeDay = returnDateA();//怀孕时间
				var afterDay = returnDay();//预产时间
				var _date = dateObj.getDate();//当前月1号
				if(beforeDay.getTime()>allDay.getTime() || allDay.getTime()>afterDay.getTime()){
					$(this).removeClass('time_data_black').removeClass('time_data_click').addClass('time_data_gray');
				}
//				var Daytime = new Date(afterDay.getFullYear(), afterDay.getMonth() + 1, 0)
//				if((_date.getFullYear() > beforeDay.getFullYear() && dateStr.substr(4, 2) - 1 == beforeDay.getMonth()) || (_date.getFullYear() == beforeDay.getFullYear() && dateStr.substr(4, 2) - 1 == beforeDay.getMonth())) {
//					for(var i = _date.getDate() - 1; i < beforeDay.getDate() - 1; i++) {
//						$(".time_data span").eq(i).attr('class', 'time_data_color')
//					}
//				}else if((_date.getFullYear() < afterDay.getFullYear() && Daytime.getMonth()) || _date.getFullYear() == afterDay.getFullYear()){
//					for(var i = afterDay.getDate(); i < Daytime.getDate(); i++) {
//						$(".time_data span").eq(i).attr('class', 'time_data_color')
//					}
//				}

			})

		},

		renderDOM: function() {
			this.$calendar_date = $('<div class="time_data"></div>');
			var _dateStr = '';
			for(var i = 0; i < 6; i++) {
				_dateStr += '<span>1</span>' +
					'<span>1</span>' +
					'<span>1</span>' +
					'<span>1</span>' +
					'<span>1</span>' +
					'<span>1</span>' +
					'<span>1</span>';
			}

			this.$calendar_date.html(_dateStr);
			this.$calendar.append(this.$calendar_date);
			timeClose()
		},
		inital: function() {
			var self = this;
			this.renderDOM();
			this.showCalendar();

			if(this.opts.isSwitch) {
				$(document).on("swipeleft", "#calendar", function() {
					var aa = returnDay();
					var _date = dateObj.getDate();

					if(new Date(_date.getFullYear(), _date.getMonth() + 1, 1).getTime() <= aa.getTime()) {
						dateObj.setDate(new Date(_date.getFullYear(), _date.getMonth() + 1, 1));
					}
					self.showCalendar()
				});
				$(document).on("swiperight", "#calendar", function() {
					var aa = returnDateA();
					var _date = dateObj.getDate();
					if(_date.getTime() > aa.getTime()) {
						dateObj.setDate(new Date(_date.getFullYear(), _date.getMonth() - 1, 1));
					}

					self.showCalendar()
				});
			}
		}
	}

	$.fn.calendar = function(options) {
		var calendar = new Calendar(this, options);
		return calendar.inital()
	}

	$('#calendar').calendar({
		isSwitch: true,
		backToday: true
	})
 
	function returnDateStr(date) {
		var year = date.getFullYear();
		var month = date.getMonth() + 1;
		var day = date.getDate();

		//月
		month = month <= 9 ? ('0' + month) : ('' + month);
		//天
		day = day <= 9 ? ('0' + day) : ('' + day);
		return year + month + day
	}

	function returnDay() {
//		var timeNow = time.replace(/-/g, "");
//		var year = timeNow.substring(0, 4);
//		var month = timeNow.substring(4, 6);
//		var day = timeNow.substring(6, 8);

		//var timeEE = new Date(time);
		var timeEE = new Date((new Date(time)).getTime()-8*3600*1000) ;
		var ee = timeEE.getTime() + 280 * 24 * 3600 * 1000;
		
		return new Date(ee)
	}

	function returnDateA() {
//		var timeNow = time.replace(/-/g, "");
//		var year = timeNow.substring(0, 4);
//		var month = timeNow.substring(4, 6);
//		var day = timeNow.substring(6, 8);
//		var timeEE = new Date(year, month - 1, day);
		var timeEE = new Date((new Date(time)).getTime()-8*3600*1000);
		return timeEE;
	}

	function timeClose() {
		mui(document).off('tap', '.time_data_click').on('tap', '.time_data_click', function() {
			var timeyear = $('.time_year').text();
			var timemonth = $('.time_month').text().substring(0, 2);
			var timeDay = $(this).text();
			var timeDate = new Date(timeyear, timemonth - 1, timeDay);
			if(timeDate.getTime() >= returnDateA().getTime() && timeDate.getTime() <= returnDay().getTime()) {
				var days = timeDate.getTime() - returnDateA().getTime();
				var timeT = parseInt(days / (1000 * 60 * 60 * 24))+1;
				var page = plus.webview.getWebviewById('index_webview.html');
				if(page != null) {
					mui.fire(page, 'time', {
						html: timeDay,
						timeT: timeT
					})
				}
				plus.webview.currentWebview().close();
			}

		})
	}

	mui(document).on('tap', '.time_close', function() {
		plus.webview.currentWebview().close()
	})

})

